Bug 145975

Summary: [GTK] devhelp is broken
Product: WebKit Reporter: Michael Catanzaro <mcatanzaro>
Component: WebKitGTKAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: bugs-noreply, cgarcia, mcatanzaro, swilmet
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Linux   
Attachments:
Description Flags
Invalid devhelp file (from 2.8.3)
none
Invalid webkitdomgtk-4.0.devhelp2 from 2.8.3 none

Description Michael Catanzaro 2015-06-15 07:29:19 PDT
Devhelp and Builder's devhelp plugin cannot load our devhelp. Not sure if it has broken again, or if we messed up the last time we tried to fix this:

Devhelp[925]:  WARNING: Failed to read '/usr/share/gtk-doc/html/webkit2gtk-4.0/webkit2gtk-4.0.devhelp2': Invalid namespace '' at line 3, column 1

Line 3, column 1 is a space. The first three lines of the file are:

<?xml version="1.0" encoding="utf-8" standalone="no"?>
<book xmlns="" title="WebKit2GTK+ Reference Manual" link="index.html" author="" name="webkit2gtk-4.0" version="2" language="c">
  <chapters>

I'm not sure what's wrong, but I do notice that other devhelp files have this on the second line of the file:

<!DOCTYPE book PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "">

I wonder why ours doesn't.
Comment 1 Michael Catanzaro 2015-06-25 07:34:05 PDT
Created attachment 255553 [details]
Invalid devhelp file (from 2.8.3)
Comment 2 Michael Catanzaro 2015-06-25 07:34:52 PDT
Created attachment 255554 [details]
Invalid webkitdomgtk-4.0.devhelp2 from 2.8.3
Comment 3 Michael Catanzaro 2015-06-25 07:36:02 PDT
Looks like gudev.devhelp2 and libudev.devhelp2 have this same problem:

(devhelp:9389): Devhelp-WARNING **: Failed to read '/usr/share/gtk-doc/html/gudev/gudev.devhelp2': Invalid namespace '' at line 3, column 1

(devhelp:9389): Devhelp-WARNING **: Failed to read '/usr/share/gtk-doc/html/webkitdomgtk-4.0/webkitdomgtk-4.0.devhelp2': Invalid namespace '' at line 3, column 1

(devhelp:9389): Devhelp-WARNING **: Failed to read '/usr/share/gtk-doc/html/libudev/libudev.devhelp2': Invalid namespace '' at line 3, column 1

(devhelp:9389): Devhelp-WARNING **: Failed to read '/usr/share/gtk-doc/html/webkit2gtk-4.0/webkit2gtk-4.0.devhelp2': Invalid namespace '' at line 3, column 1
Comment 4 S├ębastien Wilmet 2018-05-19 08:21:39 PDT
You can close this bug, it was for the xmlns attribute. I see that you've fixed it correctly. And Devhelp shows a more useful warning message now.
Comment 5 Michael Catanzaro 2018-05-19 09:20:37 PDT
I'm sure it was fixed at some point in the past, but our documentation is not being loaded at all on Fedora 28.
Comment 6 Michael Catanzaro 2018-05-19 09:29:25 PDT
(In reply to Michael Catanzaro from comment #5)
> I'm sure it was fixed at some point in the past, but our documentation is
> not being loaded at all on Fedora 28.

I think that's probably bug #185468. Closing this.